Bug 461346 - Command semodule not found
Command semodule not found
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-06 03:37 EDT by Martin Kuhnke
Modified: 2008-09-23 02:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-08 09:40:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File local.te (160 bytes, patch)
2008-09-06 03:39 EDT, Martin Kuhnke
no flags Details | Diff
File local.mod (870 bytes, patch)
2008-09-06 03:39 EDT, Martin Kuhnke
no flags Details | Diff
Policy Package local.pp (886 bytes, patch)
2008-09-06 03:40 EDT, Martin Kuhnke
no flags Details | Diff
log file used to create local.te /var/log/audit/audit.log (198.69 KB, patch)
2008-09-08 10:27 EDT, Martin Kuhnke
no flags Details | Diff

  None (edit)
Description Martin Kuhnke 2008-09-06 03:37:38 EDT
Description of problem:
I've the problem to store a newly created module. I'm able to create the local.te and local.mod files and the policy package local.pp with
checkmodule -M -m -o local.mod local.te and
semodule_package -o local.pp -m local.mod.
But the command semodule -i local.pp is not found.

Following packages were installed:
policycoreutils - 2.0.33-3.fc8.i386
policycoreutils-gui - 2.0.33-3.fc8.i386
Additional installments:
policycoreutils-newrole - 2.0.33-3.fc8.i386

Were can I find the script semodule ?

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Martin Kuhnke 2008-09-06 03:39:20 EDT
Created attachment 315946 [details]
File local.te
Comment 2 Martin Kuhnke 2008-09-06 03:39:49 EDT
Created attachment 315947 [details]
File local.mod
Comment 3 Martin Kuhnke 2008-09-06 03:40:23 EDT
Created attachment 315948 [details]
Policy Package local.pp
Comment 4 Daniel Walsh 2008-09-08 09:40:44 EDT
 /usr/sbin/semodule 

You just need to add /usr/sbin to your path.

su -
 
Should do it for you.

What fifo file is cups trying to communicate with?

allow cupsd_t var_t:fifo_file write;

Could you attach your audit messages that caused you to build this policy module.
Comment 5 Martin Kuhnke 2008-09-08 10:27:44 EDT
Created attachment 316087 [details]
log file used to create local.te  /var/log/audit/audit.log
Comment 6 Martin Kuhnke 2008-09-08 10:30:14 EDT
Used fifo: /var/ccpd/fifo0
Comment 7 Daniel Walsh 2008-09-08 11:58:24 EDT
Ok I will update policy to handle this location.
Comment 8 Martin Kuhnke 2008-09-09 01:56:49 EDT
Thank you for your help! However the printer is already working with the general policy which does not specify the fifo file. The only problem now is to start the script /etx/init.d/ccpd automatically during booting. I don't know the command line. I have to do it myself as a root. While the computer is shutting down there seem to be a slight problem to kill the daemon /usr/sbin/ccpd called by the script at first sight.
Comment 9 Daniel Walsh 2008-09-09 08:09:22 EDT
I don't understand what you are asking.  If you are asking how to turn the daemon on at boot, 
# chkconfig ccpd on
Will do it, or you could use system-config-services
System->Administration->Services from the toolbar

Or are you seeing another SELinux problem.
Comment 10 Martin Kuhnke 2008-09-09 11:07:33 EDT
I have no SELinux problem or bug, it's my low-level knowledge.
I've tried:
/sbin/chkconfig ccpd on
/sbin/chkconfig --add ccpd

service ccpd does not support chkconfig
Comment 11 Daniel Walsh 2008-09-09 11:45:36 EDT
I think if you just add a link 


# cd  /etc/rc5.d/
# ln -s ../init.d/ccpd S98ccpd
Comment 12 Daniel Walsh 2008-09-09 11:46:30 EDT
# cd  /etc/rc0.d/
# ln -s ../init.d/ccpd K10ccpd
Comment 13 Martin Kuhnke 2008-09-09 14:13:25 EDT
Creation of either the symbolic links does not help. They are broken. There is also a problem with command line
lpr: Error - no default destination available.
Comment 14 Daniel Walsh 2008-09-18 09:28:18 EDT
I think you need to address this on fedora list.  Not in a bugzilla.  Please also put a bug in to ccpd.
Comment 15 Martin Kuhnke 2008-09-18 12:37:48 EDT
Fine, I've subscribed for the fedora list .... report the bug in ccpd to the fedora list ? I already helped myself with information from other internet sources. The Daemon /usr/sbin/ccpd (v1.60) does not work properly and must be replaced by an older version. The ccpd (v1.30) installed under Debian "Etch" does!
Comment 16 Martin Kuhnke 2008-09-21 08:20:26 EDT
I'm not able to address the fedora list as a non-administrator. I get no reply. Where should I put the bug?
Comment 17 Daniel Walsh 2008-09-22 14:21:57 EDT
I was talking about this list

For users of Fedora Core releases <fedora-list@redhat.com>
Comment 18 Martin Kuhnke 2008-09-23 02:14:47 EDT
Ok, I can describe how to install the printer LBP2900 and send it to the mentioned list. It's not really a bug just my problems with command line - except the problem with binary ccpd of the newest Canon driver version (You have to switch on the computer and printer both together). No fedora bug!

Note You need to log in before you can comment on or make changes to this bug.